cgUnmapBuffer(3)

NAME
cgUnmapBuffer - unmap buffer from application's address space

SYNOPSIS
  #include <Cg/cg.h>

  void cgUnmapBuffer( CGbuffer buffer );

PARAMETERS

buffer
    The buffer which will be unmapped from the application's address space.

RETURN VALUES
None.

DESCRIPTION
cgUnmapBuffer unmaps a buffer from the application's address space.

EXAMPLES
    unsigned char *bufferPtr = cgMapBuffer( myBuffer, CG_MAP_READ_WRITE );
    memcpy( data, bufferPtr, size );
    cgUnmapBuffer( myBuffer );

ERRORS
CG_INVALID_BUFFER_HANDLE_ERROR is generated if buffer is not a valid buffer.

HISTORY
cgUnmapBuffer was introduced in Cg 2.0.

SEE ALSO
cgMapBuffer, cgSetBufferData, cgSetBufferSubData, cgSetParameter